Subject: GB versus KangXi CiDian

From: XiaoFei Wang <[email-masked]>
Date: Sat, 2 Nov 1991 15:03:12 EST

It has be known that some valid Chinese Characters [_sc._ in KangXi
CiDian ] can not be found in GB. And I don't know a solution of this.

I am worried about this because there is a cooperated project to input
Chinese Literature, for example, DaoDeJing, into computer as discussed
in scc [ Xiaoyu Li will posted on this forum for details ].

Knowlegeable readers please shed light on this.

By the way, I think that simplification of Chinese characters create
more problems than it solves.

---

From: Scott Horne <[email-masked]>
Date: Sat, 2 Nov 1991 15:37:50 EST

There will always be a problem with _hapax legomena_ (characters which occur
only once in all of literature).  You may regard as "valid" every character
in _Kang1 Xi1 zi4dian3_, but what if I go out tomorrow and publish a best-
selling novel which contains a character of my invention?  Will that character
be "valid"?

Obviously no encoding will represent all characters which will ever have been
written.  As a scholar, I need systems which provide rare characters, but
most people can get by with something like GB.  GB was designed for sending
telegrams, and few people quote ancient texts in telegrams.  It certainly
does not meet the arcane needs of scholars, but it wasn't intended to.

In short, you're using the wrong tool.

					--Scott

---

From: Xiaoyu Li <[email-masked]>
Date: Sun, 3 Nov 1991 12:59:52 CST

Hi, sorry to respond late but I was busy with my own stuff in
the weekend and didn't come to the computer till now.

Xiaofei has raised a very good question. The problem mentioned
I have already encountered sveral times during my typing various
poemes and the Lao Zi's "Dao De Jing". In fact, the GuoBiao table
even seems not to include all the characters in Xin Hua Zi Dian,
not to say the grand KangXi ZiDian character set. For instance,
there are two characters in Xin1 Qi4-Ji3's Ci poem "Jing Kou Bei
Gu Ting": KUAI4 as in the line "Xiu1 Shuo1 Lu2 Yu2 Kan1 Kaui4"
and the WEN4 as in "Wen4 Ying1 Xiong2 Lei4". Both can be easily
found in XinHua ZiDian but are not in the GuoBiao set (I tried
both MacOS 6.07 as well as CXterm). Of course, there is even
a few characters in the Dao De Jing which can be found nowhere
except (I guess) KangXi ZiDian. So my past practice was making
a footnote for these charaters and enlisting them in a preface
chapter. Maybe the best I can do for the moment in our classic
collection project, is the scheme as suggested by Huangxin --
using HanYu PinYin as a substitute, although these PinYin will
look very odd among the rest of the Chinese context.

As for, how to represent all the Chinese characters in the computer
form, I don't think I know a better solution at present -- it's
just beyond my scope/expertise as a "non-scholar" like Xiaofei.
It's won't be an easy task anyway.

BTW, As I used quite a lot the CXterm for inputting, I also noticed
the Inputting Table of the CXterm either misses a few characters
of the GuoBiao set or mis-places them under a wrong pronuciation.
This should be fixed in the future version of CXterm.

--Xiaoyu

PS: I assume Xiaofei and Huangxin both are on CCNET so I delete
    my Cc line from this response to avoid duplication.